Retrieve a Status list configuration
Retrieves an existing Status list configuration by providing its ID.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListConfigurationId*stringStatus list configuration ID
uuidStatus list configuration retrieved
application/json- response
docType?stringStatus list configurations are unique per docType on your tenant. This value must match the type set when creating an mDoc credential configuration.
1 <= length <= 1024timeToLiveDuration?Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration?Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{ "docType": "DriverLicense", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}How would you rate this page?